2

I have GeoServer (2.8.5) and multiple layers on it. If I want to edit layers in QGIS everything works fine (auth / show layer catalog / load layer / edit layer / save changes).

If I attempt doing the same in ArcGIS (10.2) with the Data Interoperability tool I struggle on getting the capabilities document. The URL is the same but I get following error:

(old image, url's not correct in the image, WFS instead of WMS)

enter image description here

I tried different styles in the URL like /geoserver/wfs? , /geoserver/wfs?request=getcapabilities but nothing seems to work. I've also tried connecting with /geoserver/ows? like mentioned in What's the correct link for adding GeoServer WFS to ArcMap? but that fails too.

Anybody has an idea what I am doing wrong?

  • Please always provide errors as text rather than pictures so that they are available to future searches. Is there a service URL to a public GeoServer WFS that gives this error? If so, please include it in your question. – PolyGeo Aug 3 '18 at 10:30